jrdlib::Version			equ	jrdlib@0000
;----------------------------------------------------------------------------
; Version
; output :
;	D0.B : Numro de version.
; exemple : D0.L=$4A52440A pour la version 1.0 par JRD (resp $4A, $52 et $44).
; Pas d'autres registres touchs.
;----------------------------------------------------------------------------



jrdlib::Input			equ	jrdlib@0001
;----------------------------------------------------------------------------
; Input
;
; Fonction : Permet d'entrer une chane de charactres.
;
; input :
;	A0.L : pointe la chane.
;	A1.L : pointe l'adresse (le label) si l'utilisateur fait ENTRE.
;	A2.L : pointe l'adresse (le label) si l'utilisateur fait ESC.
;	D1.W : x
;	D2.W : y
;	D3.W : nombre max de char (jusqu' 20 au plus).
; Les caractres autoriss sont les cara alphanumriques, ceux des fichiers ('_' et 'Thta') + ceux taps avec 2nd si l'octet de point faible du mot de point faible est  0.
; Si l'octet de point fort du mot de point faible est diffrent de 0 c'est ce caractre qui est affich au lieu des caractres entrs.
; output :
;	A1.L : pointe l'adresse o sauter. (utiliser JMP	(a1) ).
;		ainsi, cela peut tre rinterprter par le programme.
; A0.L reste inchang.
;
; exemple :
; Si D3.L vaut (en hexa) $0000008
; Huit car peuvent tres taps avec les car normaux (essentiellement pour des saisie de nom de var).
; Si D3.L vaut (en hexa) $002A0010
; Dix car peuvent tres taps avec les car normaux (essentiellement pour des saisie de nom de var), mais les caractres affichs seront des *. -> pour une saisie de mot de passe.
; Si D3.L vaut (en hexa) $012A0010
; Mme chose que prcdemment mais l'utilisateur peux faire 2nd + CHAR pour obtenir tous les caractres de la calc pendant la saisie.
;----------------------------------------------------------------------------


jrdlib::Find_Local			equ	jrdlib@0002
;----------------------------------------------------------------------------
; Find_Local
;
; Fonction : Trouve une chane (var) dans le dernier rpertoire local.
;
; input :
;	A0.L : pointe la chane (nom de var local).
; output :
;	A0.L : pointe la chane dans la VAT ou 0 (nulle) si la variable n'existe pas dans le dernier rep local.
;	D0.W : index de l'entre dans dernier rep local. Commence par 0 -> compatible avec filelib :-)
; Pas d'autres registres touchs.
;----------------------------------------------------------------------------


jrdlib::Find_No_Local		equ	jrdlib@0003
;----------------------------------------------------------------------------
; Find_No_Local
; Mme chose que prcdemment mais ne cherche que dans les rpertoires non-temporaires.
;----------------------------------------------------------------------------


jrdlib::FindEntry			equ	jrdlib@0004
;----------------------------------------------------------------------------
;	FindEntry
;
; Fonction : trouver une chane dans la VAT.
; input :
; 	handle dans lequel chercher.	(le premier  mettre dans la pile)
;	adresse de la chane.	(le dernier dans la pile)
; output :
;	D0.W=index de la chane dans la structure.
;	A0.L=adresse de l'entre dans la VAT (pointeur sur le nom). Vaut 0 si pas trouv.
;----------------------------------------------------------------------------
jrdlib::InitArgs			equ	jrdlib@0005
;----------------------------------------------------------------------------
;	InitArgs
;
; Fonction : Initialiser la grence des arguments d'un programme.
; On doit utiliser cette fonction avant d'utliser une autre fonction sur les arguments.
;----------------------------------------------------------------------------
jrdlib::GetCurArgType		equ	jrdlib@0006
;----------------------------------------------------------------------------
;	GetCurArgType
;
; Fonction : donne le type de l'argument en cours.
; output :
;	D0.B=type de l'arg.	(vaut $E5 si plus d'args)
;----------------------------------------------------------------------------
jrdlib::GetStringLong			equ	jrdlib@0007
;----------------------------------------------------------------------------
;	GetStringLong
;
; Fonction : obtient la longueur de l'argument courant en tant que string.
; output :
;	D0.B=	0 : OK.
;		1 : L'argument n'est pas une string.
;	D1.W=Longueur de la chane.
;----------------------------------------------------------------------------
jrdlib::GetStringArg			equ	jrdlib@0008
;----------------------------------------------------------------------------
;	GetStringArg
;
; Fonction : obtient l'argument courant en tant que string.
; input :
; 	A0.L=adresse de la chane  stocker.
; output :
;	D0.B=	0 : OK.
;		1 : L'argument n'est pas une string.
; La chane a t mise  jour.
;----------------------------------------------------------------------------
jrdlib::GetIntArg			equ	jrdlib@0009
;----------------------------------------------------------------------------
;	GetIntArg
;
; Fonction : obtient l'argument courant en tant qu'entier (positif ou ngatif).
; input :
; 	D0.B=valeur sur laquel sera retourn l'entier :
;		1=1 byte (de -256  255)
;		2=1 word (de -65536  65535)
;		4=1 long (de -4294967296  4294967295)
; output :
;	D0.B=	0 : OK.
;		1 : L'argument n'est pas un entier.
;		n>=2 : L'entier tient sur n octets.
;	D1.L=contient le nombre (cela peut tre aussi D1.W ou D1.B selon la taille).
;----------------------------------------------------------------------------
jrdlib::NextArg			equ	jrdlib@000A
;----------------------------------------------------------------------------
;	NextArg
;
; Fonction : Se positionne sur l'argument suivant.
;	Les types d'arguments supports sont:
;$2D(string), $1F(positive integer), $20(negative integer), $2B(False), $2C(True), $D9(list), $D9D9(matrix).
; output :
;	D0.B=	0 : OK.
;		1 : Fin des arguments.
;----------------------------------------------------------------------------
jrdlib::Char			equ	jrdlib@000B
Key2Char				equ	4139
